## kidentitymanagement 25.08.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.2")

project(KIdentityManagement VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddQch)
include(ECMQmlModule)
include(ECMCheckOutboundLicense)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

option(BUILD_QUICK_SUPPORT "Build quick support. Needed for merkuro project" ON)

set(KIDENTITYMANAGEMENT_LIB_VERSION ${PIM_VERSION})
set(PIMTEXTEDIT_LIB_VERSION "6.5.2")
set(KTEXTADDONS_MIN_VERSION "1.6.0")

########### Find packages ###########

find_package(Qt6Network NO_MODULE REQUIRED)
find_package(Qt6DBus ${QT_REQUIRED_VERSION} CONFIG REQUIRED)

if(BUILD_QUICK_SUPPORT)
    find_package(Qt6Quick NO_MODULE REQUIRED)
endif()

find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6TextEdit ${PIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)

if(BUILD_TESTING)
    find_package(Qt6Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
endif()

if(BUILD_QUICK_SUPPORT)
    find_package(KF6KirigamiAddons 1.0 REQUIRED)
    set_package_properties(
        KF6KirigamiAddons
        PROPERTIES
            TYPE
                REQUIRED
            PURPOSE
                "Addons for the Kirigami application UI framework"
    )
endif()
add_definitions(-DTRANSLATION_DOMAIN=\"libkpimidentities6\")

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

########### Targets ###########
add_subdirectory(src)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
kidentitymanagement (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:46:14 +0100

=== debian/control ===
Source: kidentitymanagement
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               kirigami-addons-dev (>= 1.0.0),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkpimtextedit-dev (>= 25.08.2~),
               libktextaddons-dev (>= 1.5.4~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-declarative-private-dev,
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kidentitymanagement
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidentitymanagement
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidentitymanagement
Rules-Requires-Root: no

Package: libkidentitymanagement-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for managing user identities - data files
 This library provides an API for managing user identities.
 .
 This package contains the development files.

Package: libkidentitymanagement-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6coreaddons-dev (>= 6.6.0~),
         libkpim6identitymanagementcore6 (= ${binary:Version}),
         libkpim6identitymanagementquick6 (= ${binary:Version}),
         libkpim6identitymanagementwidgets6 (= ${binary:Version}),
         libkpimtextedit-dev (>= 25.08.2~),
         qml6-module-org-kde-kidentitymanagement (= ${binary:Version}),
         ${misc:Depends},
Description: library for managing user identities - development files
 This library provides an API for managing user identities.
 .
 This package contains the development files.

Package: libkpim6identitymanagementcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6identitymanagementquick6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6identitymanagementwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for managing user identities
 This library provides an API for managing user identities with widgets.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: qml6-module-org-kde-kidentitymanagement
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: library for managing user identities (QML module)
 This library provides an API for managing user identities with widgets.
 .
 This package contains the QML module for kidentitymanagement.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## kidentitymanagement 25.08.2+p24.04+vstable+git20251015.1641

=== debian/changelog ===
kidentitymanagement (25.08.2+p24.04+vstable+git20251015.1641-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:41:41 +0000

kidentitymanagement (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:01:28 +0000

## kidentitymanagement 25.08.2+p24.04+vstable+git20251019.0620

=== debian/changelog ===
kidentitymanagement (25.08.2+p24.04+vstable+git20251019.0620-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:20:45 +0000

## kidentitymanagement 25.08.2+p24.04+vunstable+git20251015.1536

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,15 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.40")
 
 project(KIdentityManagement VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -57,8 +58,8 @@
 option(BUILD_QUICK_SUPPORT "Build quick support. Needed for merkuro project" ON)
 
 set(KIDENTITYMANAGEMENT_LIB_VERSION ${PIM_VERSION})
-set(PIMTEXTEDIT_LIB_VERSION "6.5.2")
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
+set(PIMTEXTEDIT_LIB_VERSION "6.5.40")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 ########### Find packages ###########
 
@@ -104,7 +105,7 @@
 endif()
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 
 ########### Targets ###########
 add_subdirectory(src)

=== debian/changelog ===
kidentitymanagement (25.08.2+p24.04+vunstable+git20251015.1536-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:36:53 +0000

## kidentitymanagement 25.08.2+p24.04+vunstable+git20251020.1312

=== debian/changelog ===
kidentitymanagement (25.08.2+p24.04+vunstable+git20251020.1312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 13:12:55 +0000

## kidentitymanagement 25.08.2+p24.04+vunstable+git20251023.0134

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project(KIdentityManagement VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

=== debian/changelog ===
kidentitymanagement (25.08.2+p24.04+vunstable+git20251023.0134-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 01:34:23 +0000

## kidentitymanagement 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,14 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.5.3")
 
 project(KIdentityManagement VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.18.0")
+set(KF_MIN_VERSION "6.14.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
-set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -58,8 +57,8 @@
 option(BUILD_QUICK_SUPPORT "Build quick support. Needed for merkuro project" ON)
 
 set(KIDENTITYMANAGEMENT_LIB_VERSION ${PIM_VERSION})
-set(PIMTEXTEDIT_LIB_VERSION "6.5.40")
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(PIMTEXTEDIT_LIB_VERSION "6.5.3")
+set(KTEXTADDONS_MIN_VERSION "1.6.0")
 
 ########### Find packages ###########
 
@@ -105,7 +104,7 @@
 endif()
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
 
 ########### Targets ###########
 add_subdirectory(src)

=== debian/changelog ===
kidentitymanagement (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:23:57 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 25.08.2~),
+               libkpimtextedit-dev (>= 25.08.3~),
                libktextaddons-dev (>= 1.5.4~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.6.0+dfsg~),
@@ -47,7 +47,7 @@
          libkpim6identitymanagementcore6 (= ${binary:Version}),
          libkpim6identitymanagementquick6 (= ${binary:Version}),
          libkpim6identitymanagementwidgets6 (= ${binary:Version}),
-         libkpimtextedit-dev (>= 25.08.2~),
+         libkpimtextedit-dev (>= 25.08.3~),
          qml6-module-org-kde-kidentitymanagement (= ${binary:Version}),
          ${misc:Depends},
 Description: library for managing user identities - development files

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib = $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel

## kidentitymanagement 25.08.3+p24.04+vunstable+git20251204.0536

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.6.40")
 
 project(KIdentityManagement VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -57,8 +57,8 @@
 option(BUILD_QUICK_SUPPORT "Build quick support. Needed for merkuro project" ON)
 
 set(KIDENTITYMANAGEMENT_LIB_VERSION ${PIM_VERSION})
-set(PIMTEXTEDIT_LIB_VERSION "6.5.3")
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
+set(PIMTEXTEDIT_LIB_VERSION "6.6.40")
+set(KTEXTADDONS_MIN_VERSION "1.8.82")
 
 ########### Find packages ###########
 
@@ -104,7 +104,7 @@
 endif()
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 ########### Targets ###########
 add_subdirectory(src)

=== debian/changelog ===
kidentitymanagement (25.08.3+p24.04+vunstable+git20251204.0536-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:36:47 +0000

kidentitymanagement (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:42:02 +1000

## kidentitymanagement 25.08.3+p24.04+vunstable+git20251206.0837

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project(KIdentityManagement VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kidentitymanagement (25.08.3+p24.04+vunstable+git20251206.0837-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:37:17 +0000

## kidentitymanagement 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,14 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 
 project(KIdentityManagement VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -57,8 +58,8 @@
 option(BUILD_QUICK_SUPPORT "Build quick support. Needed for merkuro project" ON)
 
 set(KIDENTITYMANAGEMENT_LIB_VERSION ${PIM_VERSION})
-set(PIMTEXTEDIT_LIB_VERSION "6.6.40")
-set(KTEXTADDONS_MIN_VERSION "1.8.82")
+set(PIMTEXTEDIT_LIB_VERSION "6.5.80")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 ########### Find packages ###########

=== src/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
ecm_setup_version(PROJECT VARIABLE_PREFIX KIDENTITYMANAGEMENTCORE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kidentitymanagementcore_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6IdentityManagementCoreConfigVersion.cmake"
    SOVERSION 6
)

add_library(KPim6IdentityManagementCore)
add_library(KPim6::IdentityManagementCore ALIAS KPim6IdentityManagementCore)

qt_add_dbus_adaptor(kidentity_dbs_adaptor_SRCS org.kde.pim.IdentityManager.xml identitymanager.h KIdentityManagementCore::IdentityManager)

target_sources(
    KPim6IdentityManagementCore
    PRIVATE
        ${kidentity_dbs_adaptor_SRCS}
        identity.cpp
        identitymanager.cpp
        identitymodel.cpp
        signature.cpp
        utils.cpp
        utils.h
        signature.h
        identitymanager.h
        identity.h
        identitymodel.h
        identitytreemodel.h
        identitytreemodel.cpp
        identitytreesortproxymodel.h
        identitytreesortproxymodel.cpp
        identityactivitiesabstract.h
        identityactivitiesabstract.cpp
)

ecm_qt_declare_logging_category(KPim6IdentityManagementCore HEADER kidentitymanagementcore_debug.h
    IDENTIFIER KIDENTITYMANAGEMENT_LOG CATEGORY_NAME org.kde.pim.kidentitymanagement
    OLD_CATEGORY_NAMES log_kidentitymanagement
    DESCRIPTION "kidentitymanagement (pim lib)" EXPORT KIDENTITYMANAGEMENT
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6IdentityManagementCore
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

generate_export_header(KPim6IdentityManagementCore BASE_NAME kidentitymanagementcore)

target_include_directories(
    KPim6IdentityManagementCore
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KIdentityManagementCore>"
)
target_include_directories(
    KPim6IdentityManagementCore
    PUBLIC
        "$<BUILD_INTERFACE:${KIdentityManagement_SOURCE_DIR}/src/>"
)

target_link_libraries(
    KPim6IdentityManagementCore
    PUBLIC
        Qt::Gui
    PRIVATE
        KF6::CoreAddons
        KF6::ConfigCore
        KF6::Codecs
        KF6::I18n
        Qt::DBus
        Qt::Network
)

set_target_properties(
    KPim6IdentityManagementCore
    PROPERTIES
        VERSION
            ${KIDENTITYMANAGEMENTCORE_VERSION}
        SOVERSION
            ${KIDENTITYMANAGEMENTCORE_SOVERSION}
        EXPORT_NAME
            IdentityManagementCore
)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6IdentityManagementCore")

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6IdentityManagementCoreConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6IdentityManagementCoreConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6IdentityManagementCoreTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6IdentityManagementCoreTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kidentitymanagementcore_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KIdentityManagementCore
    COMPONENT Devel
)

install(
    TARGETS
        KPim6IdentityManagementCore
    EXPORT KPim6IdentityManagementCoreTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

########### Generate Headers ###############
ecm_generate_headers(KIdentityManagementCore_CamelCase_HEADERS
    HEADER_NAMES
    Identity
    IdentityManager
    IdentityModel
    Signature
    Utils
    IdentityTreeModel
    IdentityActivitiesAbstract
    IdentityTreeSortProxyModel
    PREFIX KIdentityManagementCore
    REQUIRED_HEADERS KIdentityManagementCore_HEADERS
)

########### install files ###############

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kidentitymanagementcore_export.h
        ${KIdentityManagementCore_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KIdentityManagementCore/kidentitymanagementcore
    COMPONENT Devel
)
install(
    FILES
        ${KIdentityManagementCore_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KIdentityManagementCore/KIdentityManagementCore/
    COMPONENT Devel
)

install(
    FILES
        org.kde.pim.IdentityManager.xml
    DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
    RENAME kf6_org.kde.pim.IdentityManager.xml
)

ecm_qt_install_logging_categories(EXPORT KIDENTITYMANAGEMENT FILE kidentitymanagement.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if(BUILD_QCH)
    ecm_add_qch(
        KPim6IdentityManagementCore_QCH
        NAME KIdentityManagementCore
        BASE_NAME KPim6IdentityManagementCore
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${KIdentityManagementCore_HEADERS}
        LINK_QCHS
        Qt6Gui_QCH
        INCLUDE_DIRS
        ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
        KIDENTITYMANAGEMENTCORE_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6IdentityManagementCore_QCH
        FILE KPim6IdentityManagementCoreQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6IdentityManagementCoreQchTargets.cmake\")"
    )
endif()
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimIdentityManagementCoreConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6IdentityManagementCoreConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== debian/changelog ===
kidentitymanagement (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:56:29 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 25.08.3~),
+               libkpimtextedit-dev (>= 25.11.80~),
                libktextaddons-dev (>= 1.5.4~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.6.0+dfsg~),
@@ -47,7 +47,7 @@
          libkpim6identitymanagementcore6 (= ${binary:Version}),
          libkpim6identitymanagementquick6 (= ${binary:Version}),
          libkpim6identitymanagementwidgets6 (= ${binary:Version}),
-         libkpimtextedit-dev (>= 25.08.3~),
+         libkpimtextedit-dev (>= 25.11.80~),
          qml6-module-org-kde-kidentitymanagement (= ${binary:Version}),
          ${misc:Depends},
 Description: library for managing user identities - development files

## kidentitymanagement 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 
 project(KIdentityManagement VERSION ${PIM_VERSION})
 
@@ -58,7 +58,7 @@
 option(BUILD_QUICK_SUPPORT "Build quick support. Needed for merkuro project" ON)
 
 set(KIDENTITYMANAGEMENT_LIB_VERSION ${PIM_VERSION})
-set(PIMTEXTEDIT_LIB_VERSION "6.5.80")
+set(PIMTEXTEDIT_LIB_VERSION "6.5.90")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 ########### Find packages ###########

=== debian/changelog ===
kidentitymanagement (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:05:56 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 25.11.80~),
+               libkpimtextedit-dev (>= 25.11.90~),
                libktextaddons-dev (>= 1.5.4~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.6.0+dfsg~),
@@ -47,7 +47,7 @@
          libkpim6identitymanagementcore6 (= ${binary:Version}),
          libkpim6identitymanagementquick6 (= ${binary:Version}),
          libkpim6identitymanagementwidgets6 (= ${binary:Version}),
-         libkpimtextedit-dev (>= 25.11.80~),
+         libkpimtextedit-dev (>= 25.11.90~),
          qml6-module-org-kde-kidentitymanagement (= ${binary:Version}),
          ${misc:Depends},
 Description: library for managing user identities - development files

## kidentitymanagement 25.12.0

=== debian/changelog ===
kidentitymanagement (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:21:44 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 25.11.90~),
+               libkpimtextedit-dev (>= 25.12.0~),
                libktextaddons-dev (>= 1.5.4~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.6.0+dfsg~),
@@ -47,7 +47,7 @@
          libkpim6identitymanagementcore6 (= ${binary:Version}),
          libkpim6identitymanagementquick6 (= ${binary:Version}),
          libkpim6identitymanagementwidgets6 (= ${binary:Version}),
-         libkpimtextedit-dev (>= 25.11.90~),
+         libkpimtextedit-dev (>= 25.12.0~),
          qml6-module-org-kde-kidentitymanagement (= ${binary:Version}),
          ${misc:Depends},
 Description: library for managing user identities - development files

## kidentitymanagement 25.12.0+p24.04+vstable+git20251222.0517

=== debian/changelog ===
kidentitymanagement (25.12.0+p24.04+vstable+git20251222.0517-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 05:17:47 +0000

kidentitymanagement (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:38:22 +1000

## kidentitymanagement 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.1")
 
 project(KIdentityManagement VERSION ${PIM_VERSION})
 
@@ -58,7 +58,7 @@
 option(BUILD_QUICK_SUPPORT "Build quick support. Needed for merkuro project" ON)
 
 set(KIDENTITYMANAGEMENT_LIB_VERSION ${PIM_VERSION})
-set(PIMTEXTEDIT_LIB_VERSION "6.5.90")
+set(PIMTEXTEDIT_LIB_VERSION "6.6.1")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 ########### Find packages ###########

=== debian/changelog ===
kidentitymanagement (25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:37:40 +0100

kidentitymanagement (25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:48:00 +0100

kidentitymanagement (25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:59:18 +0100

kidentitymanagement (25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:23:54 +0100

=== debian/control ===
Source: kidentitymanagement
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               kirigami-addons-dev (>= 1.0.0),
               libkf6codecs-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkpimtextedit-dev (>= 25.12.1~),
               libktextaddons-dev (>= 1.8.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-declarative-private-dev,
               xauth,
               xvfb,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/kidentitymanagement
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kidentitymanagement
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kidentitymanagement.git
Rules-Requires-Root: no

Package: libkidentitymanagement-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for managing user identities - data files
 This library provides an API for managing user identities.
 .
 This package contains the development files.

Package: libkidentitymanagement-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6coreaddons-dev (>= 6.18.0~),
         libkpim6identitymanagementcore6 (= ${binary:Version}),
         libkpim6identitymanagementquick6 (= ${binary:Version}),
         libkpim6identitymanagementwidgets6 (= ${binary:Version}),
         libkpimtextedit-dev (>= 25.12.1~),
         qml6-module-org-kde-kidentitymanagement (= ${binary:Version}),
         ${misc:Depends},
Description: library for managing user identities - development files
 This library provides an API for managing user identities.
 .
 This package contains the development files.

Package: libkpim6identitymanagementcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6identitymanagementquick6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6identitymanagementwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library for managing user identities
 This library provides an API for managing user identities with widgets.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: qml6-module-org-kde-kidentitymanagement
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: library for managing user identities (QML module)
 This library provides an API for managing user identities with widgets.
 .
 This package contains the QML module for kidentitymanagement.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## kidentitymanagement 25.12.1+p24.04+vstable+git20260106.1940

=== debian/changelog ===
kidentitymanagement (25.12.1+p24.04+vstable+git20260106.1940-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 19:40:38 +0000

kidentitymanagement (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:28:36 +1000

## kidentitymanagement 25.12.1+p24.04+vunstable+git20260205.0706

=== debian/changelog ===
kidentitymanagement (25.12.1+p24.04+vunstable+git20260205.0706-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:06:42 +0000

## kidentitymanagement 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.2")
 
 project(KIdentityManagement VERSION ${PIM_VERSION})
 
@@ -58,7 +58,7 @@
 option(BUILD_QUICK_SUPPORT "Build quick support. Needed for merkuro project" ON)
 
 set(KIDENTITYMANAGEMENT_LIB_VERSION ${PIM_VERSION})
-set(PIMTEXTEDIT_LIB_VERSION "6.6.1")
+set(PIMTEXTEDIT_LIB_VERSION "6.6.2")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 ########### Find packages ###########

=== debian/changelog ===
kidentitymanagement (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:40:10 +0000

kidentitymanagement (25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:06:12 +0000

kidentitymanagement (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:04:20 +0000

=== debian/control ===
Source: kidentitymanagement
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               kirigami-addons-dev (>= 1.0.0),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkpimtextedit-dev (>= 25.12.2~),
               libktextaddons-dev (>= 1.5.4~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-declarative-private-dev,
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kidentitymanagement
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidentitymanagement
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidentitymanagement
Rules-Requires-Root: no

Package: libkidentitymanagement-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for managing user identities - data files
 This library provides an API for managing user identities.
 .
 This package contains the development files.

Package: libkidentitymanagement-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6coreaddons-dev (>= 6.6.0~),
         libkpim6identitymanagementcore6 (= ${binary:Version}),
         libkpim6identitymanagementquick6 (= ${binary:Version}),
         libkpim6identitymanagementwidgets6 (= ${binary:Version}),
         libkpimtextedit-dev (>= 25.12.2~),
         qml6-module-org-kde-kidentitymanagement (= ${binary:Version}),
         ${misc:Depends},
Description: library for managing user identities - development files
 This library provides an API for managing user identities.
 .
 This package contains the development files.

Package: libkpim6identitymanagementcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6identitymanagementquick6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6identitymanagementwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for managing user identities
 This library provides an API for managing user identities with widgets.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: qml6-module-org-kde-kidentitymanagement
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: library for managing user identities (QML module)
 This library provides an API for managing user identities with widgets.
 .
 This package contains the QML module for kidentitymanagement.
 .
 This package is part of the KDE Development Platform PIM libraries module.
